/**** begin custom colors ****/
:root {
    --color-1: #0b0b0b;
    --color-2: #212121;
    --color-3: #303030;
    --color-4: #404040;
    --color-5: #bf8e20;
    --color-6: #e1bd30;
    --color-7: #fae372;
    --color-8: #f0de90;
    --color-9: #ffc400;

    --black: #000000;
    --white: #ffffff;
    --light: #d5d5d5;
    --red-1: #fe4040;
    --red-2: #9b0606;
    --green-1: #09c509;
    --green-2: #057e05;

    --text-light-color: #ffffff8c;
    --text-light-color-hover: #ffffffbf;

    --transparent-1: #212121e9;

    --gradient-1: radial-gradient(circle at center, var(--color-3), var(--color-2));
    --gradient-2: linear-gradient(to bottom, var(--color-7), var(--color-5));
    --gradient-3: linear-gradient(to bottom, var(--red-1), var(--red-2));
    --gradient-4: linear-gradient(to bottom, var(--color-4), var(--color-2));
    --gradient-5: linear-gradient(to bottom, var(--green-1), var(--green-2));
    --gradient-6: radial-gradient(circle at center, var(--color-7), var(--color-5));
}
/**** endof custom colors ****/



/**** begin custom background colors ****/
.bg-color-1 { background-color: var(--color-1) !important; }
.bg-color-2 { background-color: var(--color-2) !important; }
.bg-color-3 { background-color: var(--color-3) !important; }
.bg-color-4 { background-color: var(--color-4) !important; }
.bg-color-5 { background-color: var(--color-5) !important; }
.bg-color-6 { background-color: var(--color-6) !important; }
.bg-color-7 { background-color: var(--color-7) !important; }
.bg-color-8 { background-color: var(--color-8) !important; }
.bg-color-9 { background-color: var(--color-9) !important; }

.bg-black { background-color: var(--black) !important; }
.bg-white { background-color: var(--white) !important; }

.bg-gradient-1 { background: var(--gradient-1) !important; }
.bg-gradient-2 { background: var(--gradient-2) !important; }
.bg-gradient-3 { background: var(--gradient-3) !important; }
.bg-gradient-4 { background: var(--gradient-4) !important; }
.bg-gradient-5 { background: var(--gradient-5) !important; }
.bg-gradient-6 { background: var(--gradient-6) !important; }
/**** endof custom background colors ****/



/**** begin custom text colors ****/
.text-black { color: var(--black); }
.text-white { color: var(--white); }
.text-light { color: var(--text-light-color) !important; }
.text-gold { color: var(--color-6) !important; }
.text-yellow { color: var(--color-7); }
/**** endof custom text colors ****/
